﻿/*
 * This combined file was created by the DataTables downloader builder:
 *   https://datatables.net/download
 *
 * To rebuild or modify this file with the latest versions of the included
 * software please visit:
 *   https://datatables.net/download/#dt/dt-1.10.8,r-1.0.7
 *
 * Included libraries:
 *   DataTables 1.10.8, Responsive 1.0.7
 */

/*
 * Table styles
 */
table.dataTable {
	width: 100% !important;
	margin: 0 auto;
	clear: both;
	border-collapse: separate;
	border-spacing: 0;
	border: 1px solid #e9e9e9;
	border-right: 0;
}

	table.dataTable td {
		font-family: Arial, sans-serif;
	}

	table.dataTable thead th,
	table.dataTable thead td,
	table.dataTable tfoot th,
	table.dataTable tfoot td {
		padding: 10px 20px;
		background-color: #e9e9e9;
		border-color: transparent;
		font-family: Arial, sans-serif;
		font-weight: bold;
		font-size: 10pt;
		color: #666666;
		text-align: center;
	}

		table.dataTable thead th:active,
		table.dataTable thead td:active {
			outline: none;
		}

	table.dataTable tfoot th,
	table.dataTable tfoot td {
		padding: 10px 18px 6px 18px;
	}

	table.dataTable thead .sorting,
	table.dataTable thead .sorting_asc,
	table.dataTable thead .sorting_desc {
		cursor: pointer;
	}

	table.dataTable thead .sorting,
	table.dataTable thead .sorting_asc,
	table.dataTable thead .sorting_desc,
	table.dataTable thead .sorting_asc_disabled,
	table.dataTable thead .sorting_desc_disabled {
		background-repeat: no-repeat;
		background-position: center right;
	}

		table.dataTable thead .sorting span:after,
		table.dataTable thead .sorting_asc span:after,
		table.dataTable thead .sorting_desc span:after,
		table.dataTable thead .sorting_asc_disabled,
		table.dataTable thead .sorting_desc_disabled {
			font-family: 'FontAwesome';
			font-weight: 900;
			margin-left: 10px;
		}

		table.dataTable thead .sorting span:after {
			content: '\f0dc';
			opacity: 0.2;
			-webkit-transition: opacity ease-in-out .15s;
			-o-transition: opacity ease-in-out .15s;
			transition: opacity ease-in-out .15s;
		}

		table.dataTable thead .sorting span:hover:after {
			content: '\f0dc';
			opacity: 0.5;
			-webkit-transition: opacity ease-in-out .15s;
			-o-transition: opacity ease-in-out .15s;
			transition: opacity ease-in-out .15s;
		}

        table.dataTable thead .sorting_asc span:after {
            content: '\f15d';
            color: #19335A;
        }

        table.dataTable thead .sorting_desc span:after {
            content: '\f15e';
            color: #19335A;
        }

	table.dataTable thead .sorting_asc_disabled {
		content: '\f15d';
		opacity: 0.5;
	}

	table.dataTable thead .sorting_desc_disabled {
		content: '\f15e';
		opacity: 0.5;
	}

	table.dataTable tbody tr {
		background-color: #ffffff;
	}

		table.dataTable tbody tr.selected {
			background-color: #B0BED9;
		}

	table.dataTable tbody th,
	table.dataTable tbody td {
		padding: 8px 10px;
		font-size: 10pt;
		vertical-align: top;
	}

	table.dataTable.row-border tbody th, table.dataTable.row-border tbody td, table.dataTable tbody th, table.dataTable tbody td {
		border-top: 1px solid #e9e9e9;
		border-right: 1px solid #e9e9e9;
	}

	table.dataTable.row-border tbody tr:first-child th,
	table.dataTable.row-border tbody tr:first-child td, table.dataTable tbody tr:first-child th,
	table.dataTable tbody tr:first-child td {
		border-top: none;
	}

	table.dataTable.cell-border tbody tr:first-child th,
	table.dataTable.cell-border tbody tr:first-child td {
		border-top: none;
	}

	table.dataTable.stripe tbody tr.odd, table.dataTable tbody tr.odd {
		background-color: #f9f9f9;
	}

	table.dataTable.hover tbody tr:hover, table.dataTable tbody tr:hover {
		background-color: #f1f1f1 !important;
	}

	table.dataTable.order-column tbody tr > .sorting_1,
	table.dataTable.order-column tbody tr > .sorting_2,
	table.dataTable.order-column tbody tr > .sorting_3, table.dataTable tbody tr > .sorting_1,
	table.dataTable tbody tr > .sorting_2,
	table.dataTable tbody tr > .sorting_3 {
		background-color: blue;
	}

	table.dataTable.order-column tbody tr.selected > .sorting_1,
	table.dataTable.order-column tbody tr.selected > .sorting_2,
	table.dataTable.order-column tbody tr.selected > .sorting_3, table.dataTable tbody tr.selected > .sorting_1,
	table.dataTable tbody tr.selected > .sorting_2,
	table.dataTable tbody tr.selected > .sorting_3 {
		background-color: #acbad5;
	}

	table.dataTable tbody tr.odd > .sorting_1, table.dataTable.order-column.stripe tbody tr.odd > .sorting_1 {
		background-color: #f1f1f1;
	}

	table.dataTable tbody tr.odd > .sorting_2, table.dataTable.order-column.stripe tbody tr.odd > .sorting_2 {
		background-color: #f3f3f3;
	}

	table.dataTable tbody tr.odd > .sorting_3, table.dataTable.order-column.stripe tbody tr.odd > .sorting_3 {
		background-color: whitesmoke;
	}

	table.dataTable tbody tr.odd.selected > .sorting_1, table.dataTable.order-column.stripe tbody tr.odd.selected > .sorting_1 {
		background-color: #a6b4cd;
	}

	table.dataTable tbody tr.odd.selected > .sorting_2, table.dataTable.order-column.stripe tbody tr.odd.selected > .sorting_2 {
		background-color: #a8b5cf;
	}

	table.dataTable tbody tr.odd.selected > .sorting_3, table.dataTable.order-column.stripe tbody tr.odd.selected > .sorting_3 {
		background-color: #a9b7d1;
	}

	table.dataTable tbody tr.even > .sorting_1, table.dataTable.order-column.stripe tbody tr.even > .sorting_1 {
		background-color: #fafafa;
	}

	table.dataTable tbody tr.even > .sorting_2, table.dataTable.order-column.stripe tbody tr.even > .sorting_2 {
		background-color: #fcfcfc;
	}

	table.dataTable tbody tr.even > .sorting_3, table.dataTable.order-column.stripe tbody tr.even > .sorting_3 {
		background-color: #fefefe;
	}

	table.dataTable tbody tr.even.selected > .sorting_1, table.dataTable.order-column.stripe tbody tr.even.selected > .sorting_1 {
		background-color: #acbad5;
	}

	table.dataTable tbody tr.even.selected > .sorting_2, table.dataTable.order-column.stripe tbody tr.even.selected > .sorting_2 {
		background-color: #aebcd6;
	}

	table.dataTable tbody tr.even.selected > .sorting_3, table.dataTable.order-column.stripe tbody tr.even.selected > .sorting_3 {
		background-color: #afbdd8;
	}

	table.dataTable tbody tr:hover > .sorting_1, table.dataTable.order-column.hover tbody tr:hover > .sorting_1 {
		background-color: #eaeaea;
	}

	table.dataTable tbody tr:hover > .sorting_2, table.dataTable.order-column.hover tbody tr:hover > .sorting_2 {
		background-color: #ececec;
	}

	table.dataTable tbody tr:hover > .sorting_3, table.dataTable.order-column.hover tbody tr:hover > .sorting_3 {
		background-color: #efefef;
	}

	table.dataTable tbody tr:hover.selected > .sorting_1, table.dataTable.order-column.hover tbody tr:hover.selected > .sorting_1 {
		background-color: #a2aec7;
	}

	table.dataTable tbody tr:hover.selected > .sorting_2, table.dataTable.order-column.hover tbody tr:hover.selected > .sorting_2 {
		background-color: #a3b0c9;
	}

	table.dataTable tbody tr:hover.selected > .sorting_3, table.dataTable.order-column.hover tbody tr:hover.selected > .sorting_3 {
		background-color: #a5b2cb;
	}

	table.dataTable.nowrap th, table.dataTable.nowrap td {
		white-space: nowrap;
	}

	table.dataTable.compact thead th,
	table.dataTable.compact thead td {
		padding: 4px 17px 4px 4px;
	}

	table.dataTable.compact tfoot th,
	table.dataTable.compact tfoot td {
		padding: 4px;
	}

	table.dataTable.compact tbody th,
	table.dataTable.compact tbody td {
		padding: 4px;
	}

	table.dataTable th.dt-left,
	table.dataTable td.dt-left {
		text-align: left;
	}

	table.dataTable th.dt-center,
	table.dataTable td.dt-center,
	table.dataTable td.dataTables_empty {
		text-align: center;
	}

	table.dataTable td.dataTables_empty {
		padding: 0 !important;
	}

	table.dataTable th.dt-right,
	table.dataTable td.dt-right {
		text-align: right;
	}

	table.dataTable th.dt-justify,
	table.dataTable td.dt-justify {
		text-align: justify;
	}

	table.dataTable th.dt-nowrap,
	table.dataTable td.dt-nowrap {
		white-space: nowrap;
	}

	table.dataTable thead th.dt-head-left,
	table.dataTable thead td.dt-head-left,
	table.dataTable tfoot th.dt-head-left,
	table.dataTable tfoot td.dt-head-left {
		text-align: left;
	}

	table.dataTable thead th.dt-head-center,
	table.dataTable thead td.dt-head-center,
	table.dataTable tfoot th.dt-head-center,
	table.dataTable tfoot td.dt-head-center {
		text-align: center;
	}

	table.dataTable thead th.dt-head-right,
	table.dataTable thead td.dt-head-right,
	table.dataTable tfoot th.dt-head-right,
	table.dataTable tfoot td.dt-head-right {
		text-align: right;
	}

	table.dataTable thead th.dt-head-justify,
	table.dataTable thead td.dt-head-justify,
	table.dataTable tfoot th.dt-head-justify,
	table.dataTable tfoot td.dt-head-justify {
		text-align: justify;
	}

	table.dataTable thead th.dt-head-nowrap,
	table.dataTable thead td.dt-head-nowrap,
	table.dataTable tfoot th.dt-head-nowrap,
	table.dataTable tfoot td.dt-head-nowrap {
		white-space: nowrap;
	}

	table.dataTable tbody th.dt-body-left,
	table.dataTable tbody td.dt-body-left {
		text-align: left;
	}

	table.dataTable tbody th.dt-body-center,
	table.dataTable tbody td.dt-body-center {
		text-align: center;
	}

	table.dataTable tbody th.dt-body-right,
	table.dataTable tbody td.dt-body-right {
		text-align: right;
	}

	table.dataTable tbody th.dt-body-justify,
	table.dataTable tbody td.dt-body-justify {
		text-align: justify;
	}

	table.dataTable tbody th.dt-body-nowrap,
	table.dataTable tbody td.dt-body-nowrap {
		white-space: nowrap;
	}

	table.dataTable,
	table.dataTable th,
	table.dataTable td {
		-webkit-box-sizing: content-box;
		-moz-box-sizing: content-box;
		box-sizing: content-box;
	}

/*
 * Control feature layout
 */
.dataTables_wrapper {
	position: relative;
	clear: both;
	*zoom: 1;
	zoom: 1;
	overflow: hidden;
	width: 100%;
}

	.dataTables_wrapper .row {
		margin: 0;
	}


	.dataTables_wrapper .dataTables_length {
		float: left;
	}

	.dataTables_wrapper .dataTables_filter {
		float: right;
		text-align: right;
	}

	.dataTables_wrapper .dataTables_info {
		clear: both;
		float: left;
	}

	.dataTables_wrapper .dataTables_paginate {
		float: right;
		text-align: right;
	}

		.dataTables_wrapper .dataTables_paginate .paginate_button {
			box-sizing: border-box;
			display: inline-block;
			min-width: 1.5em;
			padding: 0.5em 1em;
			background-color: #ffffff;
			text-align: center;
			text-decoration: none !important;
			cursor: pointer;
			color: #666666;
			border-top: 1px #e9e9e9 solid;
			border-right: 1px #e9e9e9 solid;
			border-bottom: 1px #e9e9e9 solid;
			font-family: Arial, sans-serif;
			font-weight: 300;
			font-size: 10pt;
		}

			.dataTables_wrapper .dataTables_paginate .paginate_button span {
				font-size: 9pt;
			}

            .dataTables_wrapper .dataTables_paginate .paginate_button.current,
            .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover,
            .dataTables_wrapper .dataTables_paginate .paginate_button:hover {
                color: #ffffff;
                background-color: #19335A;
                border-top: 1px #19335A solid;
                border-right: 1px #19335A solid;
                border-bottom: 1px #19335A solid;
            }

			.dataTables_wrapper .dataTables_paginate .paginate_button.disabled,
			.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover,
			.dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active {
				cursor: default;
				background-color: #ffffff;
				color: #666666;
				border-top: 1px #e9e9e9 solid;
				border-right: 1px #e9e9e9 solid;
				border-bottom: 1px #e9e9e9 solid;
			}

				.dataTables_wrapper .dataTables_paginate .paginate_button.disabled span {
					opacity: 0.3;
				}

			.dataTables_wrapper .dataTables_paginate .paginate_button.previous span:before,
			.dataTables_wrapper .dataTables_paginate .paginate_button.next span:after {
				font-family: 'FontAwesome';
				font-weight: 900;
			}

			.dataTables_wrapper .dataTables_paginate .paginate_button.previous {
				border-left: 1px #e9e9e9 solid;
			}

				.dataTables_wrapper .dataTables_paginate .paginate_button.previous span:before {
					content: '\f053';
				}

			.dataTables_wrapper .dataTables_paginate .paginate_button.next span:after {
				content: '\f054';
			}

		.dataTables_wrapper .dataTables_paginate .ellipsis {
			padding: 0 1em;
		}

	.dataTables_wrapper .dataTables_processing {
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		text-align: center;
		font-size: 1.2em;
		background-color: #fff;
		opacity: 0.8;
		z-index: 99;
	}

		.dataTables_wrapper .dataTables_processing span {
			position: absolute;
			top: 50%;
			margin-left: -8px;
		}

			.dataTables_wrapper .dataTables_processing span.glyphicon-refresh-animate {
				-animation: spin .7s infinite linear;
				-ms-animation: spin .7s infinite linear;
				-webkit-animation: spinw .7s infinite linear;
				-moz-animation: spinm .7s infinite linear;
			}

@keyframes spin {
	from {
		transform: scale(1) rotate(0deg);
	}

	to {
		transform: scale(1) rotate(360deg);
	}
}

@-webkit-keyframes spinw {
	from {
		-webkit-transform: rotate(0deg);
	}

	to {
		-webkit-transform: rotate(360deg);
	}
}

@-moz-keyframes spinm {
	from {
		-moz-transform: rotate(0deg);
	}

	to {
		-moz-transform: rotate(360deg);
	}
}

.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter,
.dataTables_wrapper .dataTables_info,
.dataTables_wrapper .dataTables_processing,
.dataTables_wrapper .dataTables_paginate {
	color: #333;
}

.dataTables_wrapper .dataTables_scroll {
	clear: both;
}

	.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody {
		*margin-top: -1px;
		-webkit-overflow-scrolling: touch;
	}

		.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody th > div.dataTables_sizing,
		.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody td > div.dataTables_sizing {
			height: 0;
			overflow: hidden;
			margin: 0 !important;
			padding: 0 !important;
		}

/*.dataTables_wrapper.no-footer .dataTables_scrollBody {
	border-bottom: 1px solid #111;
}*/

.dataTables_wrapper.no-footer div.dataTables_scrollHead table,
.dataTables_wrapper.no-footer div.dataTables_scrollBody table {
	border-bottom: none;
}

.dataTables_wrapper:after {
	visibility: hidden;
	display: block;
	content: "";
	clear: both;
	height: 0;
}


table.dataTable.dtr-inline.collapsed > tbody > tr > td:first-child,
table.dataTable.dtr-inline.collapsed > tbody > tr > th:first-child {
	position: relative;
	padding-left: 30px !important;
	cursor: pointer;
}

	table.dataTable.dtr-inline.collapsed > tbody > tr > td:first-child:before,
	table.dataTable.dtr-inline.collapsed > tbody > tr > th:first-child:before {
		left: 4px;
		display: block;
		position: absolute;
		color: #999999;
		font-family: 'FontAwesome';
		font-style: normal;
		font-weight: 900;
		font-size: 10pt;
		speak: none;
		display: inline-block;
		text-decoration: inherit;
		width: 1em;
		text-align: center;
		font-variant: normal;
		text-transform: none;
		-webkit-font-smoothing: antialiased;
		-moz-osx-font-smoothing: grayscale;
		content: '\f055';
	}

table.dataTable.dtr-inline.collapsed > tbody > tr > td.error:first-child:before,
table.dataTable.dtr-inline.collapsed > tbody > tr > th.eror:first-child:before,
table.dataTable.dtr-inline.collapsed > tbody > tr > td.valid:first-child:before,
table.dataTable.dtr-inline.collapsed > tbody > tr > th.valid:first-child:before {
	color: #fff;
}

table.dataTable.dtr-inline.collapsed > tbody > tr > td:first-child.dataTables_empty:before,
table.dataTable.dtr-inline.collapsed > tbody > tr > th:first-child.dataTables_empty:before {
	display: none;
}

table.dataTable.dtr-inline.collapsed > tbody > tr.parent > td:first-child:before,
table.dataTable.dtr-inline.collapsed > tbody > tr.parent > th:first-child:before {
	content: '\f056';
}

table.dataTable.dtr-inline.collapsed > tbody > tr.child td:before {
	display: none;
}

table.dataTable.dtr-inline.collapsed.compact > tbody > tr > td:first-child,
table.dataTable.dtr-inline.collapsed.compact > tbody > tr > th:first-child {
	padding-left: 27px;
}

	table.dataTable.dtr-inline.collapsed.compact > tbody > tr > td:first-child:before,
	table.dataTable.dtr-inline.collapsed.compact > tbody > tr > th:first-child:before {
		top: 5px;
		left: 4px;
		height: 14px;
		width: 14px;
		border-radius: 14px;
		line-height: 12px;
	}

table.dataTable.dtr-column > tbody > tr > td.control,
table.dataTable.dtr-column > tbody > tr > th.control {
	position: relative;
	cursor: pointer;
}

	table.dataTable.dtr-column > tbody > tr > td.control:before,
	table.dataTable.dtr-column > tbody > tr > th.control:before {
		top: 50%;
		left: 50%;
		height: 16px;
		width: 16px;
		margin-top: -10px;
		margin-left: -10px;
		display: block;
		position: absolute;
		color: white;
		border: 2px solid white;
		border-radius: 16px;
		text-align: center;
		line-height: 14px;
		box-shadow: 0 0 3px #444;
		box-sizing: content-box;
		content: '+';
		background-color: #31b131;
	}

table.dataTable.dtr-column > tbody > tr.parent td.control:before,
table.dataTable.dtr-column > tbody > tr.parent th.control:before {
	content: '-';
	background-color: #d33333;
}

table.dataTable > tbody > tr.child {
	padding: 0.5em 1em;
}

	table.dataTable > tbody > tr.child:hover {
		background: transparent !important;
	}

	table.dataTable > tbody > tr.child ul {
		display: inline-block;
		list-style-type: none;
		margin: 0;
		padding: 0;
	}

		table.dataTable > tbody > tr.child ul li {
			border-bottom: 1px solid #efefef;
			padding: 0.5em 0;
		}

			table.dataTable > tbody > tr.child ul li:first-child {
				padding-top: 0;
			}

			table.dataTable > tbody > tr.child ul li:last-child {
				border-bottom: none;
			}

	table.dataTable > tbody > tr.child span.dtr-title {
		display: inline-block;
		min-width: 75px;
		font-weight: bold;
	}

.dataTables_wrapper > div:first-child {
	border-top-width: 1px;
	border-bottom-width: 0;
}

.dataTables_wrapper > div {
	float: left;
	width: 100%;
	background-color: #f9f9f9;
	border: 1px solid #e9e9e9;
	border-top-width: 0;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-ms-box-sizing: border-box;
	box-sizing: border-box;
	display: table;
}

.dataTables_wrapper .dataTables_scroll {
	display: block;
}

.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_count,
.dataTables_wrapper .dataTables_search,
.dataTables_wrapper .dataTables_pagination {
	padding: 10px;
	display: table-cell;
	vertical-align: middle;
}

.dataTables_search {
	padding-top: 0px;
}

.dataTables_wrapper .dataTables_count,
.dataTables_wrapper .dataTables_pagination {
	font-family: Arial, sans-serif;
	color: #666666;
	font-size: 10pt;
	margin: 10px;
}

.dataTables_wrapper select,
.dataTables_wrapper input {
	font-size: 10pt;
	padding: 6px 8px;
	border: 1px #d9d9d9 solid;
	font-family: Arial, sans-serif;
	font-weight: 300;
	color: #666666;
	-webkit-transition: border-color ease-in-out .15s;
	-o-transition: border-color ease-in-out .15s;
	transition: border-color ease-in-out .15s;
	outline: none;
	width: auto;
	margin: 0;
}

	.dataTables_wrapper select:focus,
	.dataTables_wrapper input:focus {
		border: 1px #999999 solid;
		-webkit-transition: border-color ease-in-out .15s;
		-o-transition: border-color ease-in-out .15s;
		transition: border-color ease-in-out .15s;
	}

.dataTables_wrapper input {
	margin-bottom: 0;
	width: auto;
}

@media screen and (max-width: 500px) {
	.dataTables_wrapper > div {
		display: block;
	}

	.dataTables_wrapper .dataTables_count,
	.dataTables_wrapper .dataTables_info,
	.dataTables_wrapper .dataTables_pagination,
	.dataTables_wrapper .dataTables_paginate {
		float: none;
		width: 100%;
		text-align: center;
		display: block;
	}

	.dataTables_wrapper .dataTables_count,
	.dataTables_wrapper .dataTables_pagination {
		margin: 0;
	}
}

/* DataTables Col Reorder */
table.DTCR_clonedTable.dataTable {
	display: none !important;
}

.DTCR_pointer {
    width: 2px !important;
    background-color: #19335A !important;
    z-index: 9999 !important;
}

table.fixedHeader-floating {
	position: fixed !important;
	background-color: white;
	top: 6.45rem !important;
	z-index: 1019;
	border-right: 3px #e9e9e9 solid;
}

	table.fixedHeader-floating.no-footer {
		border-bottom-width: 0;
	}

table.fixedHeader-locked {
	position: absolute !important;
	background-color: white;
}

@media print {
	table.fixedHeader-floating {
		display: none;
	}
}

table.dt-rowReorder-float {
	position: absolute !important;
	opacity: 0.8;
	table-layout: fixed;
	outline: 2px solid #888;
	outline-offset: -2px;
	z-index: 2001;
}

tr.dt-rowReorder-moving {
	outline: 2px solid #555;
	outline-offset: -2px;
}

body.dt-rowReorder-noOverflow {
	overflow-x: hidden;
}

table.dataTable td.reorder {
	text-align: center;
	cursor: move;
}
